/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 項目長設定
	setMaxLength(PRM_TXT_E_NAME	, LEN_NAME	);
	// 登録/更新判定
	if (MODE == 1 || MODE == 2) {
		// 読取専用設定及びフォーカス設定(UPDATEの場合)
		setReadOnly(PRM_TXT_E_NAME  , true);
	}
	// 削除ボタン利用可否
	if (MODE == 0) {
		setObjectVisibility("btnDelete", false);
		setWidth("btnDelete", 0);
	}
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 全選択
	selectOptionAll(PRM_PLT_SELECTED);
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		if (MODE == 0) {
			doSubmitMessage(objForm, 'P9005', 'QC0001', '');
		} else if (MODE == 1 || MODE == 2) {
			doSubmitMessage(objForm, 'P9008', 'QC0001', '');
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_TXT_E_NAME		, NAM_NAME				, aryMessage);
	checkRequired(PRM_PLT_SELECTED		, NAM_PLT_SELECTED		, aryMessage);
	
	checkLength(PRM_TXT_E_NAME, LEN_NAME, NAM_NAME, aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
